<?php
session_start();
$host = 'localhost';
$db = 'trabajadores';
$username = 'root';
$password = 'root';

try {
    $conn = new mysqli($host, $username, $password, $db);

    if ($conn->connect_error) {
        die("Conexión fallida: " . $conn->connect_error);
    }

    if (isset($_POST['usuario']) && isset($_POST['contraseña'])) {
        $usuario = $_POST['usuario'];
        $contraseña = $_POST['contraseña'];

        // Consulta SQL
        $sql = "SELECT * FROM personal WHERE USUARIO = '$usuario' AND CONTRASENA = '$contraseña'";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            $_SESSION['usuario'] = $usuario; 
            header("Location: tablero.php");
            exit;
        } else {
            header("Location: index.html?error=invalid");
            exit;
        }
    } else {
        echo "Usuario y/o contraseña no proporcionados.";
    }

    $conn->close();
} catch (Exception $e) {
    echo "Error: " . $e->getMessage();
}
?>
